Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 03/02/2021, à 14:43

airel

Installer scan MFC-J6930DW en USB

Salut,

J'ai installé l'imprimante susmentionnée et l'impression ne pose pas de problème (à part des traits sur l'image mais ça c'est une autre histoire...)

Par contre pour le scan, ça ne marche pas.
J'ai essayé plusieurs tutoriels mais je n'arrive à rien.
Mon fichier /lib/udev/rules.d/60-libsane1.rules  semble vide. Ou alors je ne comprends pas comment lui ajouter les lignes comme indiqué ici: http://doc.ubuntu-fr.org/imprimantes_br … b_ou_autre

Des idées?
Merci!

Hors ligne

#2 Le 03/02/2021, à 15:01

eric63

Re : Installer scan MFC-J6930DW en USB

Salurt

Par contre pour le scan, ça ne marche pas.
J'ai essayé plusieurs tutoriels mais je n'arrive à rien.
Mon fichier /lib/udev/rules.d/60-libsane1.rules  semble vide. Ou alors je ne comprends pas comment lui ajouter les lignes comme indiqué ici: http://doc.ubuntu-fr.org/imprimantes_br … b_ou_autre

tout cela n’indique pas vraiment ce qui se passe.

on va commencé par le début
de quelle façon ou avec quel script ou quel tutoriel as tu installé ton imprimante ?


Kubuntu 20.10 - 64 bits + backports = plasma 5.19.5 KDE 5.74.0 Qt 5.14.2 et noyau 5.8.0-43  4x intel i5-4570 3.2 Ghz 12 Go nvidia gtx 750
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR c‘est fort

Hors ligne

#3 Le 04/02/2021, à 13:28

airel

Re : Installer scan MFC-J6930DW en USB

Salut,

Effectivement, désolé de mon imprécision... En fait j'ai essayé plusieurs choses et je sais plus certains détails.

En tout cas, j'ai commencé par suivre ce tuto avec le "Brother driver install tool":
https://doc.ubuntu-fr.org/brother_driver_install_tool

Peut-être détail, mais à noter que lorsque je branche l'imprimante, elle s'installe aussi automatiquement, mais avec des paramètres (tailles de papiers etc) moins précis qu'avec le driver install tool. Et je ne parviens pas à la définir comme imprimante par défaut, il y en a une autre qui est bloquée sur défaut.

Ensuite, pour le scanner, j'ai essayé de suivre celui-là
https://doc.ubuntu-fr.org/scanner_usb_n … du_scanner

La réponse à la première saisir me donne ça. Même si ça ne ressemble pas trop à ce qui est donné dans le tuto, ça a l'air correct.

sudo sane-find-scanner -q
[sudo] Mot de passe de leo : 
found USB scanner (vendor=0x147e [UPEK], product=0x2016 [Biometric Coprocessor]) at libusb:001:004

Et ensuite, je dois ouvrir le fichier:  /lib/udev/rules.d/40-libsane.rules
Mais celui-ci n'existe tout simplement pas sur mon ordi.
Synaptic m'indique que le paquet sane-utils est installé en version 1.0.29
Mais libsane-extras n'y est pas trouvable.

Hors ligne

#4 Le 06/02/2021, à 22:03

eric63

Re : Installer scan MFC-J6930DW en USB

à priori
ton imprimante est reconnue mais pas ton scan
je suppose que le script de brother n’a pas installé la libusb-0.1-4 et la libusb-0.1-4:i386 (il doit y en avoir deux)
je te propose de faire un essai avec le script de demonipuch (voir dans mon profil)
ce script d’installera ce qui manque et que cela
il faudra renvoyer le contenu du fichier brprinter -install.log qui se trouvera crée dans le dossier demonipuchxxxxxx dans ton dossier perso qui renseigne comment s’est passée l’install et ce qui pourrait deconner


Kubuntu 20.10 - 64 bits + backports = plasma 5.19.5 KDE 5.74.0 Qt 5.14.2 et noyau 5.8.0-43  4x intel i5-4570 3.2 Ghz 12 Go nvidia gtx 750
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR c‘est fort

Hors ligne

#5 Le 08/02/2021, à 12:29

airel

Re : Installer scan MFC-J6930DW en USB

Merci!
Alors j'ai suivi la procédure.
Cependant, le scanner ne semble toujours pas reconnu. L'imprimante demande de modifier le pare-feu en cas de problème de numérisation. J'en déduis qu'elle reçoit la demande de numérisation mais ne peut l'exécuter..

Voici le contenu du fichier demandé:

# Ubuntu Codename : focal
# Architecture : x86_64
# Modèle de l'imprimante : MFC-J6930DW
# Connexion : USB
# Fichier d'informations : http://www.brother.com/pub/bsc/linux/infs/MFCJ6930DW
 - Paquet trouvé : mfcj6930dwlpr-1.0.1-0.i386.deb
 - Paquet trouvé : mfcj6930dwcupswrapper-1.0.1-0.i386.deb
 - Paquet trouvé : brscan4-0.4.9-1.amd64.deb
 - Paquet trouvé : brscan-skey-0.3.1-1.amd64.deb

# Téléchargement du paquet : mfcj6930dwlpr-1.0.1-0.i386.deb
--2021-02-08 11:17:41--  http://www.brother.com/pub/bsc/linux/packages/mfcj6930dwlpr-1.0.1-0.i386.deb
Résolution de www.brother.com (www.brother.com)… 23.201.255.25
Connexion à www.brother.com (www.brother.com)|23.201.255.25|:80… connecté.
requête HTTP transmise, en attente de la réponse… 200 OK

    Le fichier a déjà été complètement récupéré ; rien à faire.


# Téléchargement du paquet : mfcj6930dwcupswrapper-1.0.1-0.i386.deb
--2021-02-08 11:17:42--  http://www.brother.com/pub/bsc/linux/packages/mfcj6930dwcupswrapper-1.0.1-0.i386.deb
Résolution de www.brother.com (www.brother.com)… 23.201.255.25
Connexion à www.brother.com (www.brother.com)|23.201.255.25|:80… connecté.
requête HTTP transmise, en attente de la réponse… 200 OK

    Le fichier a déjà été complètement récupéré ; rien à faire.


# Téléchargement du paquet : brscan4-0.4.9-1.amd64.deb
--2021-02-08 11:17:42--  http://www.brother.com/pub/bsc/linux/packages/brscan4-0.4.9-1.amd64.deb
Résolution de www.brother.com (www.brother.com)… 23.201.255.25
Connexion à www.brother.com (www.brother.com)|23.201.255.25|:80… connecté.
requête HTTP transmise, en attente de la réponse… 200 OK

    Le fichier a déjà été complètement récupéré ; rien à faire.


# Téléchargement du paquet : brscan-skey-0.3.1-1.amd64.deb
--2021-02-08 11:17:43--  http://www.brother.com/pub/bsc/linux/packages/brscan-skey-0.3.1-1.amd64.deb
Résolution de www.brother.com (www.brother.com)… 23.201.255.25
Connexion à www.brother.com (www.brother.com)|23.201.255.25|:80… connecté.
requête HTTP transmise, en attente de la réponse… 200 OK

    Le fichier a déjà été complètement récupéré ; rien à faire.

# Téléchargement du paquet : brother-udev-rule-type1-1.0.0-1.all.deb
--2021-02-08 11:17:43--  http://www.brother.com/pub/bsc/linux/dlf/brother-udev-rule-type1-1.0.0-1.all.deb
Résolution de www.brother.com (www.brother.com)… 23.201.255.25
Connexion à www.brother.com (www.brother.com)|23.201.255.25|:80… connecté.
requête HTTP transmise, en attente de la réponse… 200 OK

    Le fichier a déjà été complètement récupéré ; rien à faire.

# Vérification des pré-requis
 - Paquet 'multiarch-support' non installé
# Installation de 'multiarch-support'
E: Impossible de trouver le paquet multiarch-support
 - Paquet 'multiarch-support' installé
 - Paquet 'lib32stdc++6' installé
 - Paquet 'cups' installé
 - Paquet 'sane-utils' installé
 - Paquet 'libusb-0.1-4' installé

# Installation du paquet : mfcj6930dwlpr-1.0.1-0.i386.deb
(Lecture de la base de données... 424681 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../mfcj6930dwlpr-1.0.1-0.i386.deb ...
Dépaquetage de mfcj6930dwlpr:i386 (1.0.1-0) sur (1.0.1-0) ...
Paramétrage de mfcj6930dwlpr:i386 (1.0.1-0) ...

# Installation du paquet : mfcj6930dwcupswrapper-1.0.1-0.i386.deb
(Lecture de la base de données... 424681 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../mfcj6930dwcupswrapper-1.0.1-0.i386.deb ...
Restarting cups (via systemctl): cups.service.
Dépaquetage de mfcj6930dwcupswrapper:i386 (1.0.1-0) sur (1.0.1-0) ...
Paramétrage de mfcj6930dwcupswrapper:i386 (1.0.1-0) ...
Restarting cups (via systemctl): cups.service.
lpadmin -p MFCJ6930DW -E -v usb://dev/usb/lp0 -P /usr/share/cups/model/Brother/brother_mfcj6930dw_printer_en.ppd
lpadmin: Printer drivers are deprecated and will stop working in a future version of CUPS.

# Installation du paquet : brscan4-0.4.9-1.amd64.deb
(Lecture de la base de données... 424681 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../brscan4-0.4.9-1.amd64.deb ...
Dépaquetage de brscan4 (0.4.9-1) sur (0.4.9-1) ...
Paramétrage de brscan4 (0.4.9-1) ...
This software is based in part on the work of the Independent JPEG Group.

# Installation du paquet : brscan-skey-0.3.1-1.amd64.deb
(Lecture de la base de données... 424681 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../brscan-skey-0.3.1-1.amd64.deb ...
Dépaquetage de brscan-skey (0.3.1-1) sur (0.3.1-1) ...
Paramétrage de brscan-skey (0.3.1-1) ...

# Installation du paquet : brother-udev-rule-type1-1.0.0-1.all.deb
Sélection du paquet brother-udev-rule-type1 précédemment désélectionné.
(Lecture de la base de données... 424681 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../brother-udev-rule-type1-1.0.0-1.all.deb ...
Dépaquetage de brother-udev-rule-type1 (1.0.0-1) ...
Paramétrage de brother-udev-rule-type1 (1.0.0-1) ...
dpkg: erreur de traitement du paquet brother-udev-rule-type1 (--install) :
 installed brother-udev-rule-type1 package post-installation script subprocess returned error exit status 255
Des erreurs ont été rencontrées pendant l'exécution :
 brother-udev-rule-type1

# Recherche d'un fichier PPD
 - Fichier PPD : /opt/brother/Printers/mfcj6930dw/cupswrapper/brother_mfcj6930dw_printer_en.ppd

# Ajout de l'imprimante MFC-J6930DW
 - Backup du fichier /etc/cups/printers.conf.O
 - Arret du service CUPS
Warning: Stopping cups.service, but it can still be activated by:
  cups.socket
  cups.path
 - Restauration du fichier printers.conf
 - Redémarrage du service CUPS
 - Restauration du fichier printers.conf.O

# Configuration du scanner
(Lecture de la base de données... 424685 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../brother-udev-rule-type1-1.0.0-1.all.deb ...
Dépaquetage de brother-udev-rule-type1 (1.0.0-1) sur (1.0.0-1) ...
Paramétrage de brother-udev-rule-type1 (1.0.0-1) ...
dpkg: erreur de traitement du paquet brother-udev-rule-type1 (--install) :
 installed brother-udev-rule-type1 package post-installation script subprocess returned error exit status 255
Des erreurs ont été rencontrées pendant l'exécution :
 brother-udev-rule-type1
Adding ATTRS{idVendor}=="04f9", ENV{libsane_matched}="yes" to ${UDEV_RULES}

Hors ligne

#6 Le 08/02/2021, à 23:31

eric63

Re : Installer scan MFC-J6930DW en USB

pour savoir si brother4 est inscrit dans cette liste

cat /etc/sane.d/dll.conf

pour savoir si tu as deux versions de la libusb

dpkg -l | grep -i libusb

pour savoir si tes libsane-brother4 sont installées et où

ls -la /usr/*/*/* | grep -E "brother"

pour savoir si tu as ces deux fichiers

ls -la /etc/udev/rules.d/ | grep -E "brother"

et pour voir ce que contient ce fichier (s’il existe) parce qu’il y a un truc qui ne fonctionne pas bien dans ton retour à propos de ce fichier

cat /etc/udev/rules.d/60-brother-brscan4-libsane-type1.rules

Dernière modification par eric63 (Le 08/02/2021, à 23:31)


Kubuntu 20.10 - 64 bits + backports = plasma 5.19.5 KDE 5.74.0 Qt 5.14.2 et noyau 5.8.0-43  4x intel i5-4570 3.2 Ghz 12 Go nvidia gtx 750
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR c‘est fort

Hors ligne

#7 Le 09/02/2021, à 10:40

airel

Re : Installer scan MFC-J6930DW en USB

Ok merci des indications... Je te mets tout ci-dessous.

leo@leo-ThinkPad-X201:~$ cat /etc/sane.d/dll.conf
# dll.conf - Configuration file for the SANE dynamic backend loader
#
# Backends can also be enabled by configuration snippets under the dll.d/
# directory -- third party backends can drop their configuration file in
# this in this directory, named after the backend.
#
# The next line enables the network backend; comment it out if you don't
# need to use a remote SANE scanner over the network -- see sane-net(5)
# and saned(8) for details.
net
abaton
agfafocus
apple
artec
artec_eplus48u
as6e
avision
bh
canon
canon630u
canon_dr
#canon_pp
cardscan
coolscan
#coolscan2
coolscan3
#dc210
#dc240
#dc25
dell1600n_net
dmc
epjitsu
#epson
epson2
epsonds
escl
fujitsu
genesys
#gphoto2
gt68xx
hp
hp3500
hp3900
hp4200
hp5400
hp5590
hpljm1005
hpsj5s
hs2p
ibm
kodak
kodakaio
kvs1025
kvs20xx
kvs40xx
leo
lexmark
ma1509
magicolor
matsushita
microtek
microtek2
mustek
#mustek_pp
mustek_usb
mustek_usb2
nec
niash
#p5
pie
pieusb
pint
pixma
plustek
#plustek_pp
#pnm
qcam
ricoh
ricoh2
rts8891
s9036
sceptre
sharp
sm3600
sm3840
snapscan
sp15c
#st400
#stv680
tamarack
teco1
teco2
teco3
#test
u12
umax
umax1220u
#umax_pp
v4l
xerox_mfp


brother4
leo@leo-ThinkPad-X201:~$ dpkg -l | grep -i libusb
ii  libgusb2:amd64                             0.3.4-0.1                             amd64        GLib wrapper around libusb1
ii  libusb-0.1-4:amd64                         2:0.1.12-32                           amd64        userspace USB programming library
ii  libusb-1.0-0:amd64                         2:1.0.23-2build1                      amd64        userspace USB programming library
ii  libusb-1.0-0-dev:amd64                     2:1.0.23-2build1                      amd64        userspace USB programming library development files
ii  libusb-1.0-doc                             2:1.0.23-2build1                      all          documentation for userspace USB programming
ii  libusbmuxd6:amd64                          2.0.1-2                               amd64        USB multiplexor daemon for iPhone and iPod Touch devices - library
ii  libusbredirparser1:amd64                   0.8.0-1                               amd64        Parser for the usbredir protocol (runtime)
leo@leo-ThinkPad-X201:~$ ls -la /usr/*/*/* | grep -E "brother"
lrwxrwxrwx   1 root root              42 fév  5  2020 /usr/bin/X11/brsaneconfig4 -> /opt/brother/scanner/brscan4/brsaneconfig4
lrwxrwxrwx   1 root root              44 fév  8 11:18 /usr/bin/X11/brscan-skey -> /opt/brother/scanner/brscan-skey/brscan-skey
lrwxrwxrwx   1 root root              37 fév  5  2020 /usr/lib64/sane/libsane-brother4.so -> /usr/lib64/sane/libsane-brother4.so.1
lrwxrwxrwx   1 root root              41 fév  5  2020 /usr/lib64/sane/libsane-brother4.so.1 -> /usr/lib64/sane/libsane-brother4.so.1.0.7
-rwxr-xr-x   1 root root          198904 fév  5  2020 /usr/lib64/sane/libsane-brother4.so.1.0.7
lrwxrwxrwx   1 root root              41 fév  3 11:48 /usr/lib/sane/libsane-brother4.so -> /usr/lib64/sane/libsane-brother4.so.1.0.7
lrwxrwxrwx   1 root root              41 fév  3 11:48 /usr/lib/sane/libsane-brother4.so.1 -> /usr/lib64/sane/libsane-brother4.so.1.0.7
lrwxrwxrwx   1 root root              41 fév  3 11:48 /usr/lib/sane/libsane-brother4.so.1.0.7 -> /usr/lib64/sane/libsane-brother4.so.1.0.7
lrwxrwxrwx  1 root root      74 fév  8 11:17 brother_lpdwrapper_mfcj6930dw -> /opt/brother/Printers/mfcj6930dw/cupswrapper/brother_lpdwrapper_mfcj6930dw
lrwxrwxrwx   1 root root      21 fév  8 11:18 libsane-brother4.so -> libsane-brother4.so.1
lrwxrwxrwx   1 root root      25 fév  8 11:18 libsane-brother4.so.1 -> libsane-brother4.so.1.0.7
lrwxrwxrwx   1 root root      41 fév  3 11:48 libsane-brother4.so.1.0.7 -> /usr/lib64/sane/libsane-brother4.so.1.0.7
-rw-r--r-- 1 root root 41966 fév  8 11:17 brother_mfcj6930dw_printer_en.ppd
leo@leo-ThinkPad-X201:~$ ls -la /etc/udev/rules.d/ | grep -E "brother"
-rwxr-xr-x 1 root root   602 fév  8 11:18 60-brother-brscan4-libsane-type1.rules
-rw-r--r-- 1 root root   759 fév  3 11:54 60-brother-libsane-type1-inst.rules
leo@leo-ThinkPad-X201:~$ cat /etc/udev/rules.d/60-brother-brscan4-libsane-type1.rules
#
#   udev rules 
#

ACTION!="add", GOTO="brother_mfp_end"
SUBSYSTEM=="usb", GOTO="brother_mfp_udev_1"
SUBSYSTEM!="usb_device", GOTO="brother_mfp_end"
LABEL="brother_mfp_udev_1"
SYSFS{idVendor}=="04f9", GOTO="brother_mfp_udev_2"
ATTRS{idVendor}=="04f9", GOTO="brother_mfp_udev_2"
GOTO="brother_mfp_end"
LABEL="brother_mfp_udev_2"
ATTRS{bInterfaceClass}!="0ff", GOTO="brother_mfp_end"
ATTRS{bInterfaceSubClass}!="0ff", GOTO="brother_mfp_end"
ATTRS{bInterfaceProtocol}!="0ff", GOTO="brother_mfp_end"
#MODE="0666"
#GROUP="scanner"
ENV{libsane_matched}="yes"
#SYMLINK+="scanner-%k"
LABEL="brother_mfp_end"

Hors ligne

#8 Le 09/02/2021, à 23:18

eric63

Re : Installer scan MFC-J6930DW en USB

alors le seul truc qui déconne c’est qu’il n’y a pas deux libusb-0.1-4 d’installée
donc on va installer celle qui manque

sudo apt install libusb-0.1-4:i386

il se peut que ca ne fonctionne pas (installation refusée parce que le paquet n’existe pas)
c’est que ton source list n‘est pas complet
pour voir ce qui est viable

 gedit /etc/apt/sources.list

Kubuntu 20.10 - 64 bits + backports = plasma 5.19.5 KDE 5.74.0 Qt 5.14.2 et noyau 5.8.0-43  4x intel i5-4570 3.2 Ghz 12 Go nvidia gtx 750
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR c‘est fort

Hors ligne

#9 Le 10/02/2021, à 11:39

airel

Re : Installer scan MFC-J6930DW en USB

Ok alors effectivement il doit manquer le paquet.
Retour de l'install:

leo@leo-ThinkPad-X201:~$ sudo apt install libusb-0.1-4:i386
[sudo] Mot de passe de leo : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les NOUVEAUX paquets suivants seront installés :
  libusb-0.1-4:i386
0 mis à jour, 1 nouvellement installés, 0 à enlever et 6 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 17.9 ko dans les archives.
Après cette opération, 57.3 ko d'espace disque supplémentaires seront utilisés.
Réception de :1 http://ch.archive.ubuntu.com/ubuntu focal/main i386 libusb-0.1-4 i386 2:0.1.12-32 [17.9 kB]
17.9 ko réceptionnés en 1s (18.3 ko/s)         
Sélection du paquet libusb-0.1-4:i386 précédemment désélectionné.
(Lecture de la base de données... 424685 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libusb-0.1-4_2%3a0.1.12-32_i386.deb ...
Dépaquetage de libusb-0.1-4:i386 (2:0.1.12-32) ...
Paramétrage de libusb-0.1-4:i386 (2:0.1.12-32) ...
Paramétrage de brother-udev-rule-type1 (1.0.0-1) ...
dpkg: erreur de traitement du paquet brother-udev-rule-type1 (--configure) :
 installed brother-udev-rule-type1 package post-installation script subprocess r
eturned error exit status 255
Traitement des actions différées (« triggers ») pour libc-bin (2.31-0ubuntu9.2) 
...
Des erreurs ont été rencontrées pendant l'exécution :
 brother-udev-rule-type1
E: Sub-process /usr/bin/dpkg returned an error code (1)

Et le fichier gedit:

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://ch.archive.ubuntu.com/ubuntu/ focal main restricted
# deb-src http://ch.archive.ubuntu.com/ubuntu/ focal main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://ch.archive.ubuntu.com/ubuntu/ focal-updates main restricted
# deb-src http://ch.archive.ubuntu.com/ubuntu/ focal-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://ch.archive.ubuntu.com/ubuntu/ focal universe
# deb-src http://ch.archive.ubuntu.com/ubuntu/ focal universe
deb http://ch.archive.ubuntu.com/ubuntu/ focal-updates universe
# deb-src http://ch.archive.ubuntu.com/ubuntu/ focal-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://ch.archive.ubuntu.com/ubuntu/ focal multiverse
# deb-src http://ch.archive.ubuntu.com/ubuntu/ focal multiverse
deb http://ch.archive.ubuntu.com/ubuntu/ focal-updates multiverse
# deb-src http://ch.archive.ubuntu.com/ubuntu/ focal-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://ch.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse
# deb-src http://ch.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu focal partner
# deb-src http://archive.canonical.com/ubuntu focal partner

deb http://security.ubuntu.com/ubuntu focal-security main restricted
# deb-src http://security.ubuntu.com/ubuntu focal-security main restricted
deb http://security.ubuntu.com/ubuntu focal-security universe
# deb-src http://security.ubuntu.com/ubuntu focal-security universe
deb http://security.ubuntu.com/ubuntu focal-security multiverse
# deb-src http://security.ubuntu.com/ubuntu focal-security multiverse
# deb http://liveusb.info/multisystem/depot all main # désactivé pour la mise à niveau vers focal
# deb-src http://liveusb.info/multisystem/depot all main
# deb http://packages.sil.org/ubuntu focal main # désactivé pour la mise à niveau vers focal
# deb-src http://packages.sil.org/ubuntu focal main
# deb https://dl.winehq.org/wine-builds/ubuntu/ focal main # désactivé pour la mise à niveau vers focal
# deb-src https://dl.winehq.org/wine-builds/ubuntu/ focal main

Hors ligne

#10 Le 10/02/2021, à 22:03

eric63

Re : Installer scan MFC-J6930DW en USB

Paramétrage de brother-udev-rule-type1 (1.0.0-1) ...
dpkg: erreur de traitement du paquet brother-udev-rule-type1 (--configure) :
 installed brother-udev-rule-type1 package post-installation script subprocess r
eturned error exit status 255
Traitement des actions différées (« triggers ») pour libc-bin (2.31-0ubuntu9.2) 
...
Des erreurs ont été rencontrées pendant l'exécution :
 brother-udev-rule-type1
E: Sub-process /usr/bin/dpkg returned an error code (1)

pour la libusb c’est ok à ce niveau le scanner devrait fonctionner
mais comme il y a un blocage avec le paquet brother-udev-rule-type1

pour voir plus clair il faudrait savoir ce que contient ce paquet
(normalement 2 fichiers dans
/opt/brother/scanner/udev-rules/type1/NN-brother-mfp-type1.rules
/opt/brother/scanner/udev-rules/type1/install
avec synaptic tu peux y voir en selectionnant le paquet
et clicdroit -- propriétés --fichiers installés
qui doit donner qulque chose comme ça

/.
/opt
/opt/brother
/opt/brother/scanner
/opt/brother/scanner/udev-rules
/opt/brother/scanner/udev-rules/type1
/opt/brother/scanner/udev-rules/type1/NN-brother-mfp-type1.rules
/opt/brother/scanner/udev-rules/type1/install

je ne sais pas trop comment résoudre ce problème  sauf à désinstaller purger le paquet et a recommencer le script

Dernière modification par eric63 (Le 10/02/2021, à 22:06)


Kubuntu 20.10 - 64 bits + backports = plasma 5.19.5 KDE 5.74.0 Qt 5.14.2 et noyau 5.8.0-43  4x intel i5-4570 3.2 Ghz 12 Go nvidia gtx 750
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR c‘est fort

Hors ligne

#11 Le 11/02/2021, à 10:31

airel

Re : Installer scan MFC-J6930DW en USB

Alors j'ai regardé dans synaptic et le paquet contient exactement ce que tu mentionnes.
Du coup je l'ai supprimé et j'ai relancé le script.
Je l'ai lancé deux fois consécutives car la première j'avais pas une excellente connexion et j'ai eu pas mal de [fail]. Mais la deuxième c'était pas beaucoup mieux.
La première:

leo@leo-ThinkPad-X201:~/demonipuch-brprinter-installer-6e4cce8c163b$ sudo bash brprinter-installer
Entrez votre modèle : mfc-j6930dw       
Sélectionner le type de connectivité : [0] USB - [1] Réseau
Entrez votre choix : 0
Téléchargement des pilotes de l'imprimante
 * Recherche des pilotes...                                              [ OK ] 
 * Téléchargement du paquet : mfcj6930dwlpr-1.0.1-0.i386.deb...          [ OK ] 
 * Téléchargement du paquet : mfcj6930dwcupswrapper-1.0.1-0.i386.deb...  [ OK ] 
 * Téléchargement du paquet : brscan4-0.4.9-1.amd64.deb...               [ OK ] 
 * Téléchargement du paquet : brscan-skey-0.3.1-1.amd64.deb...           [ OK ] 
 * Téléchargement du paquet : brother-udev-rule-type1-1.0.0-1.all.deb... [fail] 
Vérification des pré-requis
 * Mise à jour de la liste des paquets...                                       W: Erreur de GPG : https://download.videolan.org/pub/debian/stable  Release : Detached signature file '/var/lib/apt/lists/partial/download.videolan.org_pub_debian_stable_Release.gpg' is in unsupported binary format
E: Le dépôt https://download.videolan.org/pub/debian/stable  Release n'est pas signé.
                                                                         [fail]
 * Recherche du paquet 'multiarch-support' sur votre système...          [fail] 
 * Installation du paquet 'multiarch-support'...                         [fail] 
 * Recherche du paquet 'lib32stdc++6' sur votre système...               [ OK ] 
 * Recherche du paquet 'cups' sur votre système...                       [ OK ] 
 * Recherche du paquet 'sane-utils' sur votre système...                 [ OK ] 
 * Recherche du paquet 'libusb-0.1-4' sur votre système...               [ OK ] 
 * Recherche du dossier '/usr/share/cups/model' sur votre système...     [ OK ] 
 * Recherche du dossier '/var/spool/lpd' sur votre système...            [ OK ] 
Installation des pilotes
 * Installation du paquet : mfcj6930dwlpr-1.0.1-0.i386.deb...            [ OK ] 
 * Installation du paquet : mfcj6930dwcupswrapper-1.0.1-0.i386.deb...    [ OK ] 
 * Installation du paquet : brscan4-0.4.9-1.amd64.deb...                 [ OK ] 
 * Installation du paquet : brscan-skey-0.3.1-1.amd64.deb...             [ OK ] 
 * Installation du paquet : brother-udev-rule-type1-1.0.0-1.all.deb...   [fail] 
Configuration de l'imprimante
 * Recherche d'un fichier PPD sur votre système...                       [ OK ] 
 * Ajout de l'imprimante MFC-J6930DW...                                         lpadmin: Printer drivers are deprecated and will stop working in a future version of CUPS.
                                                                         [ OK ]
Configuration du scanner
 * Copie des librairies nécessaires...                                          cp: '/usr/lib64/sane/libsane-brother4.so.1.0.7' et './libsane-brother4.so.1.0.7' identifient le même fichier
                                                                         [ OK ]

et la deuxième:

leo@leo-ThinkPad-X201:~/demonipuch-brprinter-installer-6e4cce8c163b$ sudo bash brprinter-installer
Entrez votre modèle : mfc-j6930dw 
Sélectionner le type de connectivité : [0] USB - [1] Réseau
Entrez votre choix : 0
Téléchargement des pilotes de l'imprimante
 * Recherche des pilotes...                                              [ OK ] 
 * Téléchargement du paquet : mfcj6930dwlpr-1.0.1-0.i386.deb...          [ OK ] 
 * Téléchargement du paquet : mfcj6930dwcupswrapper-1.0.1-0.i386.deb...  [ OK ] 
 * Téléchargement du paquet : brscan4-0.4.9-1.amd64.deb...               [ OK ] 
 * Téléchargement du paquet : brscan-skey-0.3.1-1.amd64.deb...           [ OK ] 
 * Téléchargement du paquet : brother-udev-rule-type1-1.0.0-1.all.deb... [ OK ] 
Vérification des pré-requis
 * Mise à jour de la liste des paquets...                                       W: Erreur de GPG : https://download.videolan.org/pub/debian/stable  Release : Detached signature file '/var/lib/apt/lists/partial/download.videolan.org_pub_debian_stable_Release.gpg' is in unsupported binary format
E: Le dépôt https://download.videolan.org/pub/debian/stable  Release n'est pas signé.
                                                                         [fail]
 * Recherche du paquet 'multiarch-support' sur votre système...          [fail] 
 * Installation du paquet 'multiarch-support'...                         [fail] 
 * Recherche du paquet 'lib32stdc++6' sur votre système...               [ OK ] 
 * Recherche du paquet 'cups' sur votre système...                       [ OK ] 
 * Recherche du paquet 'sane-utils' sur votre système...                 [ OK ] 
 * Recherche du paquet 'libusb-0.1-4' sur votre système...               [ OK ] 
 * Recherche du dossier '/usr/share/cups/model' sur votre système...     [ OK ] 
 * Recherche du dossier '/var/spool/lpd' sur votre système...            [ OK ] 
Installation des pilotes
 * Installation du paquet : mfcj6930dwlpr-1.0.1-0.i386.deb...            [fail] 
 * Installation du paquet : mfcj6930dwcupswrapper-1.0.1-0.i386.deb...    [fail] 
 * Installation du paquet : brscan4-0.4.9-1.amd64.deb...                 [fail] 
 * Installation du paquet : brscan-skey-0.3.1-1.amd64.deb...             [fail] 
 * Installation du paquet : brother-udev-rule-type1-1.0.0-1.all.deb...   [fail] 
Configuration de l'imprimante
 * Recherche d'un fichier PPD sur votre système...                       [ OK ] 
 * Ajout de l'imprimante MFC-J6930DW...                                         lpadmin: Printer drivers are deprecated and will stop working in a future version of CUPS.
                                                                         [ OK ]
Configuration du scanner
 * Copie des librairies nécessaires...                                          cp: '/usr/lib64/sane/libsane-brother4.so.1.0.7' et './libsane-brother4.so.1.0.7' identifient le même fichier
                                                                         [ OK ]

Hors ligne

#12 Le 11/02/2021, à 14:49

airel

Re : Installer scan MFC-J6930DW en USB

Bon, là j'ai carrément plus rien qui marche. Je n'arrive plus à imprimer.
Faudrait que je supprime complètement l'imprimante et le scanner, puis que je les réinstalle mais je sais pas comment faire. J'ai essayé en bricolant (supprimer les paquets qui s'installent quand on lance le brprinter-installer, puis relancer celui-ci) mais ça n'a rien changé...
Une idée?
Merci!

Hors ligne

#13 Le 11/02/2021, à 22:50

eric63

Re : Installer scan MFC-J6930DW en USB

depuis synaptic
tu peux "purger" (suppression complète) les paquets qui contiennent brother (ça devrait suffire)  sinon brscan; mfc
et recommencer le script (débrancher l’usb de l’imprimante)

puis créer une nouvelle imprimante depuis ta configuration système

c’est un peu curieux ton problème avec ce paquet brother-udev-rule-type1-1.0.0-1.all.deb

en me connectant sur le site de brother avec ton imprimante il demande une mise a jour du firmware ?? mais pas de source linux
et le paquet semble avoir évoluer récement il est passée de 1-1.0.0-1 à 1-1.0.0-2 donc cela peut être la source du problème

tu peut essayer aussi le script de brother pour ton imprimante (le paquet driver install tool)
cela a permis parfois de débloquer la situation

Dernière modification par eric63 (Le 11/02/2021, à 22:54)


Kubuntu 20.10 - 64 bits + backports = plasma 5.19.5 KDE 5.74.0 Qt 5.14.2 et noyau 5.8.0-43  4x intel i5-4570 3.2 Ghz 12 Go nvidia gtx 750
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR c‘est fort

Hors ligne

#14 Le 17/02/2021, à 21:46

airel

Re : Installer scan MFC-J6930DW en USB

Alors c'est bizarre, j'ai réussi à réinstaller l'imprimante hier en suivant ta procédure, mais aujourd'hui impossible de l'avoir. Du coup j'ai re-suivi ta procédure (suppression du paquet puis script). J'arrive de nouveau à imprimer et quand je lance un scan, la première fois, l'imprimante réagit (on entend que le scanner bouge) mais ensuite ça s'arrête et puis ça m'indique que c'est impossible de se connecter au périphérique de numérisation.

Il y a pas mal de fail dans le résultat du script. Détail peut-être mais je viens de passer à ubuntu 20.04 et il y a peut-être des bugs liés à ça...

Voici le résultat du script, si tu as envie de jeter un oeil

leo@leo-ThinkPad-X201:~/demonipuch-brprinter-installer-6e4cce8c163b$ sudo bash brprinter-installer
[sudo] Mot de passe de leo : 
Entrez votre modèle : mfc-j6930dw
Sélectionner le type de connectivité : [0] USB - [1] Réseau
Entrez votre choix : 0
Téléchargement des pilotes de l'imprimante
 * Recherche des pilotes...                                              [ OK ] 
 * Téléchargement du paquet : mfcj6930dwlpr-1.0.1-0.i386.deb...          [ OK ] 
 * Téléchargement du paquet : mfcj6930dwcupswrapper-1.0.1-0.i386.deb...  [ OK ] 
 * Téléchargement du paquet : brscan4-0.4.9-1.amd64.deb...               [ OK ] 
 * Téléchargement du paquet : brscan-skey-0.3.1-1.amd64.deb...           [ OK ] 
 * Téléchargement du paquet : brother-udev-rule-type1-1.0.0-1.all.deb... [ OK ] 
Vérification des pré-requis
 * Mise à jour de la liste des paquets...                                       W: Erreur de GPG : https://download.videolan.org/pub/debian/stable  Release : Detached signature file '/var/lib/apt/lists/partial/download.videolan.org_pub_debian_stable_Release.gpg' is in unsupported binary format
E: Le dépôt https://download.videolan.org/pub/debian/stable  Release n'est pas signé.
                                                                         [fail]
 * Recherche du paquet 'multiarch-support' sur votre système...          [fail] 
 * Installation du paquet 'multiarch-support'...                         [fail] 
 * Recherche du paquet 'lib32stdc++6' sur votre système...               [ OK ] 
 * Recherche du paquet 'cups' sur votre système...                       [ OK ] 
 * Recherche du paquet 'sane-utils' sur votre système...                 [ OK ] 
 * Recherche du paquet 'libusb-0.1-4' sur votre système...               [ OK ] 
 * Recherche du dossier '/usr/share/cups/model' sur votre système...     [ OK ] 
 * Recherche du dossier '/var/spool/lpd' sur votre système...            [ OK ] 
Installation des pilotes
 * Installation du paquet : mfcj6930dwlpr-1.0.1-0.i386.deb...            [fail] 
 * Installation du paquet : mfcj6930dwcupswrapper-1.0.1-0.i386.deb...    [fail] 
 * Installation du paquet : brscan4-0.4.9-1.amd64.deb...                 [fail] 
 * Installation du paquet : brscan-skey-0.3.1-1.amd64.deb...             [fail] 
 * Installation du paquet : brother-udev-rule-type1-1.0.0-1.all.deb...   [fail] 
Configuration de l'imprimante
 * Recherche d'un fichier PPD sur votre système...                       [ OK ] 
 * Ajout de l'imprimante MFC-J6930DW...                                         lpadmin: Printer drivers are deprecated and will stop working in a future version of CUPS.
lpadmin: Unable to open PPD "/opt/brother/Printers/mfcj6930dw/cupswrapper/brother_mfcj6930dw_printer_en.ppd": Unable to open PPD file on line 0.
                                                                         [fail]
Configuration du scanner
 * Copie des librairies nécessaires...                                   [fail] 
No config binary found.

Hors ligne

#15 Le 18/02/2021, à 15:05

eric63

Re : Installer scan MFC-J6930DW en USB

Installation des pilotes
 * Installation du paquet : mfcj6930dwlpr-1.0.1-0.i386.deb...            [fail] 
 * Installation du paquet : mfcj6930dwcupswrapper-1.0.1-0.i386.deb...    [fail] 
 * Installation du paquet : brscan4-0.4.9-1.amd64.deb...                 [fail] 
 * Installation du paquet : brscan-skey-0.3.1-1.amd64.deb...             [fail] 
 * Installation du paquet : brother-udev-rule-type1-1.0.0-1.all.deb...   [fail] 
Configuration de l'imprimante
 * Recherche d'un fichier PPD sur votre système...                       [ OK ] 
 * Ajout de l'imprimante MFC-J6930DW...                                         lpadmin: Printer drivers are deprecated and will stop working in a future version of CUPS.
lpadmin: Unable to open PPD "/opt/brother/Printers/mfcj6930dw/cupswrapper/brother_mfcj6930dw_printer_en.ppd": Unable to open PPD file on line 0.
                                                                         [fail]
Configuration du scanner
 * Copie des librairies nécessaires...                                   [fail] 

toute ces lignes indique un problème et cela ne devrait pas
ces fail indiquent que les paquets ne s’installent pas
tu peux éventuellement
aller chercher ces paquets dans le dossier demonipuch -- packages
puis les installer un par un avec un terminal pour voir ce qui se passe
(ouvre un terminal et glisse depode le paquet dans le terminal pour avoir le chemin complet puis modifie la ligne du terminal pour installer le paquet en ajoutant devant la ligne sudo apt install /home/ton/chemin/perso/demonipuch-brprinter-installer-6e4cce8c163b/packages/brscan4-0.4.9-1.amd64.deb


Kubuntu 20.10 - 64 bits + backports = plasma 5.19.5 KDE 5.74.0 Qt 5.14.2 et noyau 5.8.0-43  4x intel i5-4570 3.2 Ghz 12 Go nvidia gtx 750
Comment installer une brother avec le script de demonipuch

J’utilise le clavier french AFNOR c‘est fort

Hors ligne

#16 Le 19/02/2021, à 13:22

airel

Re : Installer scan MFC-J6930DW en USB

Alors il semble que ça soit un problème plus profond.
J'ai essayé de le résoudre en suivant ce tutoriel, sans succès.
J'ai essayé jusqu'au point 3 parce qu'ensuite j'ai de toute façon l'impression qu'il y a un problème plus fondamental à résoudre. Comme je viens de le poster ici, ma migration vers ubuntu 20.04 semble souffrir de quelques détails problématiques.
Ci-dessous, les manip que j'ai faites. Chaque paquet de ceux mentionnés que j'ai essayé d'installer rencontraient la même erreur, je n'en mets qu'une ci-dessous.

leo@leo-ThinkPad-X201:~$ sudo apt install '/home/leo/demonipuch-brprinter-installer-6e4cce8c163b/packages/brscan-skey-0.3.1-1.amd64.deb' 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Note : sélection de « brscan-skey » au lieu de « /home/leo/demonipuch-brprinter-installer-6e4cce8c163b/packages/brscan-skey-0.3.1-1.amd64.deb »
Les NOUVEAUX paquets suivants seront installés :
  brscan-skey
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/72.0 ko dans les archives.
Après cette opération, 319 ko d'espace disque supplémentaires seront utilisés.
Réception de :1 /home/leo/demonipuch-brprinter-installer-6e4cce8c163b/packages/brscan-skey-0.3.1-1.amd64.deb brscan-skey amd64 0.3.1-1 [72.0 kB]
Sélection du paquet brscan-skey précédemment désélectionné.
(Lecture de la base de données... 424626 fichiers et répertoires déjà installés.
)
Préparation du dépaquetage de .../brscan-skey-0.3.1-1.amd64.deb ...
Dépaquetage de brscan-skey (0.3.1-1) ...
Paramétrage de brscan-skey (0.3.1-1) ...
Paramétrage de brother-udev-rule-type1 (1.0.0-1) ...
dpkg: erreur de traitement du paquet brother-udev-rule-type1 (--configure) :
 installed brother-udev-rule-type1 package post-installation script subprocess r
eturned error exit status 255
Des erreurs ont été rencontrées pendant l'exécution :
 brother-udev-rule-type1
E: Sub-process /usr/bin/dpkg returned an error code (1)
leo@leo-ThinkPad-X201:~$ sudo dpkg --configure -a
Paramétrage de brother-udev-rule-type1 (1.0.0-1) ...
dpkg: erreur de traitement du paquet brother-udev-rule-type1 (--configure) :
 installed brother-udev-rule-type1 package post-installation script subprocess returned error exit status 255
Des erreurs ont été rencontrées pendant l'exécution :
 brother-udev-rule-type1
leo@leo-ThinkPad-X201:~$ sudo apt install -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Paramétrage de brother-udev-rule-type1 (1.0.0-1) ...
dpkg: erreur de traitement du paquet brother-udev-rule-type1 (--configure) :
 installed brother-udev-rule-type1 package post-installation script subprocess r
eturned error exit status 255
Des erreurs ont été rencontrées pendant l'exécution :
 brother-udev-rule-type1
E: Sub-process /usr/bin/dpkg returned an error code (1)
leo@leo-ThinkPad-X201:~$ sudo apt install --fix-broken
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Paramétrage de brother-udev-rule-type1 (1.0.0-1) ...
dpkg: erreur de traitement du paquet brother-udev-rule-type1 (--configure) :
 installed brother-udev-rule-type1 package post-installation script subprocess r
eturned error exit status 255
Des erreurs ont été rencontrées pendant l'exécution :
 brother-udev-rule-type1
E: Sub-process /usr/bin/dpkg returned an error code (1)
leo@leo-ThinkPad-X201:~$ sudo apt purge '/home/leo/demonipuch-brprinter-installer-6e4cce8c163b/packages/brscan-skey-0.3.1-1.amd64.deb' 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Note : sélection de « brscan-skey » au lieu de « /home/leo/demonipuch-brprinter-installer-6e4cce8c163b/packages/brscan-skey-0.3.1-1.amd64.deb »
brscan-skey est déjà la version la plus récente (0.3.1-1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] O
Paramétrage de brother-udev-rule-type1 (1.0.0-1) ...
dpkg: erreur de traitement du paquet brother-udev-rule-type1 (--configure) :
 installed brother-udev-rule-type1 package post-installation script subprocess r
eturned error exit status 255
Des erreurs ont été rencontrées pendant l'exécution :
 brother-udev-rule-type1
E: Sub-process /usr/bin/dpkg returned an error code (1)

Hors ligne

#17 Le 19/02/2021, à 13:36

abelthorne

Re : Installer scan MFC-J6930DW en USB

J'ai pas suivi toute la discussion, juste regardé le dernier message mais commence par ça :

sudo apt-get remove --purge brother-udev-rule-type1
sudo apt-get install -f
sudo apt-get update
sudo apt-get dist-upgrade
sudo snap refresh

Donne le retour de chaque commande. La dernière c'est juste par rapport à ton message dans l'autre sujet, rien à voir avec l''imprimante.


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

Hors ligne

#18 Le 22/02/2021, à 11:25

airel

Re : Installer scan MFC-J6930DW en USB

Ok re-salut! Alors voilà:

sudo apt-get remove --purge brother-udev-rule-type1
[sudo] Mot de passe de leo : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  brother-udev-rule-type1*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] O
(Lecture de la base de données... 424646 fichiers et répertoires déjà installés.)
Suppression de brother-udev-rule-type1 (1.0.0-1) ...
sudo apt-get install -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
sudo apt-get update
Atteint :1 http://ch.archive.ubuntu.com/ubuntu focal InRelease
Atteint :2 http://archive.canonical.com/ubuntu focal InRelease                 
Ign :3 http://liveusb.info/multisystem/depot all InRelease                     
Réception de :4 http://ch.archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]
Réception de :5 http://security.ubuntu.com/ubuntu focal-security InRelease [109 kB]
Atteint :6 http://liveusb.info/multisystem/depot all Release                   
Atteint :7 https://dl.winehq.org/wine-builds/ubuntu focal InRelease            
Atteint :8 http://packages.sil.org/ubuntu focal InRelease                      
Réception de :9 http://ch.archive.ubuntu.com/ubuntu focal-backports InRelease [101 kB]
Réception de :11 http://ch.archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages [814 kB]
Réception de :12 http://security.ubuntu.com/ubuntu focal-security/main amd64 DEP-11 Metadata [24.3 kB]
Réception de :13 http://security.ubuntu.com/ubuntu focal-security/universe amd64 DEP-11 Metadata [57.5 kB]
Réception de :14 http://ch.archive.ubuntu.com/ubuntu focal-updates/main i386 Packages [428 kB]
Réception de :16 http://ch.archive.ubuntu.com/ubuntu focal-updates/main amd64 DEP-11 Metadata [264 kB]
Réception de :17 http://ch.archive.ubuntu.com/ubuntu focal-updates/universe amd64 Packages [745 kB]
Ign :18 https://download.videolan.org/pub/debian/stable  InRelease             
Atteint :15 https://mirror.foobar.to/CTAN/systems/win32/miktex/setup/deb focal InRelease
Réception de :19 https://download.videolan.org/pub/debian/stable  Release [1’487 B]
Réception de :20 https://download.videolan.org/pub/debian/stable  Release.gpg [287 B]
Ign :20 https://download.videolan.org/pub/debian/stable  Release.gpg           
Réception de :21 http://ch.archive.ubuntu.com/ubuntu focal-updates/universe amd64 DEP-11 Metadata [302 kB]
Réception de :22 http://ch.archive.ubuntu.com/ubuntu focal-updates/multiverse amd64 DEP-11 Metadata [2’468 B]
Réception de :23 http://ch.archive.ubuntu.com/ubuntu focal-backports/universe amd64 DEP-11 Metadata [1’768 B]
Lecture des listes de paquets... Fait                                          
W: Erreur de GPG : https://download.videolan.org/pub/debian/stable  Release : Detached signature file '/var/lib/apt/lists/partial/download.videolan.org_pub_debian_stable_Release.gpg' is in unsupported binary format
E: Le dépôt https://download.videolan.org/pub/debian/stable  Release n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
sudo apt-get dist-upgrade
[sudo] Mot de passe de leo : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
 sudo snap refresh
Tous les paquets Snaps sont à jour.

Hors ligne

#19 Le 22/02/2021, à 11:46

abelthorne

Re : Installer scan MFC-J6930DW en USB

Il y a un petit problème avec le dépôt de Videolan mais je ne suis pas sûr de la façon de le régler. Est-ce que tu l'utilises pour VLC ou pour libdvdcss (lecture de DVD) ?

Quoi qu'il en soit, ça ne devrait pas avoir de rapport avec le problème. Retourne télécharger le paquet brother-udev-rule-type1 chez Brother (scanner setting file là : https://www.brother.fr/services-et-supp … /downloads). Puis relance son installation. En supposant qu'il est dans ton dossier Téléchargements :

sudo dpkg -i ~/Téléchargements/brother-udev-rule-type1-1.0.2-0.all.deb
sudo apt-get install -f

(Donne le retour des deux commandes.


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

Hors ligne

#20 Le 22/02/2021, à 12:03

airel

Re : Installer scan MFC-J6930DW en USB

Je ne sais pas si j'utilise le dépôt de Videolan pour l'un ou l'autre. Mais la lecture des dvd pose problème, ça ne ferait peut-être pas de mal de le supprimer et réinstaller complètement vlc et libdvdcss?
Sinon voilà pour les commandes:

sudo dpkg -i ~/Téléchargements/brother-udev-rule-type1-1.0.2-0.all.deb
[sudo] Mot de passe de leo : 
Sélection du paquet brother-udev-rule-type1 précédemment désélectionné.
(Lecture de la base de données... 424642 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../brother-udev-rule-type1-1.0.2-0.all.deb ...
Dépaquetage de brother-udev-rule-type1 (1.0.2) ...
Paramétrage de brother-udev-rule-type1 (1.0.2) ...
sudo apt-get install -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Hors ligne

#21 Le 22/02/2021, à 12:31

abelthorne

Re : Installer scan MFC-J6930DW en USB

Pour le scanner, essaie de redémarrer et de vérifier s'il fonctionne.

Pour le problème des DVD, on va virer le dépôt et installer le bon paquet. Donne d'abord le retour de ;

cat /etc/apt/sources.list
ls /etc/apt/sources.list.d

Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

Hors ligne

#22 Le 22/02/2021, à 13:33

airel

Re : Installer scan MFC-J6930DW en USB

Alors le scanner ne fonctionne toujours pas.
J'essaie avec le numériseur de documents et avec XSane et ça me retourne des erreurs.
Ce qui est étrange c'est que ça marche quand même un peu mieux qu'avant. Le scanner se met vraiment en marche et semble effectuer la numérisation mais aucune image ne s'affiche sur l'ordi qui m'indique "impossible de démarrer la numérisation" (numériseur de documents) ou "erreur d'ouverture du périphérique '4:bus2;dev1': Paramètre non valable" (XSane)

Après pour le scanner c'est pas dramatique si on trouve pas, je peux me démerder avec une clé usb. C'est juste que c'est étrange et ça m'intéresse de résoudre la question.

Je ne sais pas si c'est lié mais après avoir effectué un test d'impression (réussi), j'ai reçu un message d'erreur interne ubuntu, ce qui est déjà arrivé plusieurs fois depuis la mise à niveau.

Sinon pour le retour des commandes, voici:

leo@leo-ThinkPad-X201:~$ cat /etc/apt/sources.list
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://ch.archive.ubuntu.com/ubuntu/ focal main restricted
# deb-src http://ch.archive.ubuntu.com/ubuntu/ focal main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://ch.archive.ubuntu.com/ubuntu/ focal-updates main restricted
# deb-src http://ch.archive.ubuntu.com/ubuntu/ focal-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://ch.archive.ubuntu.com/ubuntu/ focal universe
# deb-src http://ch.archive.ubuntu.com/ubuntu/ focal universe
deb http://ch.archive.ubuntu.com/ubuntu/ focal-updates universe
# deb-src http://ch.archive.ubuntu.com/ubuntu/ focal-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://ch.archive.ubuntu.com/ubuntu/ focal multiverse
# deb-src http://ch.archive.ubuntu.com/ubuntu/ focal multiverse
deb http://ch.archive.ubuntu.com/ubuntu/ focal-updates multiverse
# deb-src http://ch.archive.ubuntu.com/ubuntu/ focal-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://ch.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse
# deb-src http://ch.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu focal partner
# deb-src http://archive.canonical.com/ubuntu focal partner

deb http://security.ubuntu.com/ubuntu focal-security main restricted
# deb-src http://security.ubuntu.com/ubuntu focal-security main restricted
deb http://security.ubuntu.com/ubuntu focal-security universe
# deb-src http://security.ubuntu.com/ubuntu focal-security universe
deb http://security.ubuntu.com/ubuntu focal-security multiverse
# deb-src http://security.ubuntu.com/ubuntu focal-security multiverse
# deb http://liveusb.info/multisystem/depot all main # désactivé pour la mise à niveau vers focal
# deb-src http://liveusb.info/multisystem/depot all main
# deb http://packages.sil.org/ubuntu focal main # désactivé pour la mise à niveau vers focal
# deb-src http://packages.sil.org/ubuntu focal main
# deb https://dl.winehq.org/wine-builds/ubuntu/ focal main # désactivé pour la mise à niveau vers focal
# deb-src https://dl.winehq.org/wine-builds/ubuntu/ focal main
leo@leo-ThinkPad-X201:~$ ls /etc/apt/sources.list.d
miktex.list  multisystem.list  sil.list  videolan.list  winehq.list

Hors ligne

#23 Le 22/02/2021, à 14:15

abelthorne

Re : Installer scan MFC-J6930DW en USB

Supprime le dépôt de VideoLAN :

sudo rm /etc/apt/sources.list.d/videolan.list
sudo apt-get update

donne ensuite le retour de :

apt list | grep "installé, local"

Est-ce que tu as bien installé les cinq paquets du site Brother concernant ton imprimante ? à savoir :
- LPR printer driver (deb package)
- CUPSwrapper printer driver (deb package)
- Scanner driver 64bit (deb package)
- Scan-key-tool 64bit (deb package)
- Scanner Setting file (deb package)
Je sais que c'est bon pour le dernier mais est-ce le cas pour les #3 et #4 ? (les #1 et #2 concernent la partie imprimante.)

Apparemment, tu es passé par le script d'installation qui les récupère mais comme tu avais des erreurs plus haut...


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

Hors ligne

#24 Le 22/02/2021, à 16:21

airel

Re : Installer scan MFC-J6930DW en USB

apt list | grep "installé, local"

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

brother-udev-rule-type1/now 1.0.2 all  [installé, local]
brscan-skey/now 0.3.1-1 amd64  [installé, local]
brscan4/now 0.4.9-1 amd64  [installé, local]
libdvdcss-dev/now 1.4.2-1~local amd64  [installé, local]
libdvdcss2/now 1.4.2-1~local amd64  [installé, local]
turboprint/now 2.50-1 amd64  [installé, local]

Concernant l'imprimante, j'ai réinstallé manuellement les pilotes. En fait il y en avait sur lesquels je n'avais pas les droits d'administration, ce qui fait peut-être que le script ne parvenait pas à les ouvrir. En tout cas, ça semble avoir changé au niveau de ce qui est installé.

dpkg  -l  |  grep  Brother
ii  brother-udev-rule-type1                    1.0.2                                 all          Brother udev rule type 1
ii  brscan-skey                                0.3.1-2                               amd64        Brother Linux scanner S-KEY tool
ii  brscan4                                    0.4.10-1                              amd64        Brother Scanner Driver
ii  mfcj6930dwcupswrapper:i386                 1.0.1-0                               i386         Brother Inkjet printer CUPS Driver 
ii  mfcj6930dwlpr:i386                         1.0.1-0                               i386         Brother inkjet lpr printer Driver 

Mais ça ne fonctionne toujours pas. Et mon imprimante est installée 3 fois, quand je supprime, ça la réinstalle automatiquement. Peut-être que ça se réglera avec le reste...?

Hors ligne

#25 Le 22/02/2021, à 17:14

abelthorne

Re : Installer scan MFC-J6930DW en USB

Quand tu dis que l'imprimante est installée trois fois, tu veux dire qu'il y a trois imprimantes qui apparaissent dans les paramètres système ? Dans ce cas-là, ce sont peut-être des imprimantes "virtuelles" qui correspondent à divers type de connexion (USB, wi-fi...).

Pour le scanner, donne le retour de :

cat /lib/udev/rules.d/60-libsane.rules
brsaneconfig4 -q
scanimage -L

(Pour la deuxième, c'est possible que ce soit brsaneconfig3 s'il te dit que la commande brsaneconfig4 n'existe pas.)

Donne aussi le retour de :

ls -l /usr/lib64/sane /usr/lib/sane

Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

Hors ligne